Subject: bug#43117: [PATCH] Add .git-blame-ignore-revs file

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Oct 2020 20:59:41 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 18 Oct 2020 10:54:02 -0700
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't think I understand what does this file mean from the
> > maintenance POV.  Who will maintain it, and what are the procedures?
> 
> I would propose that we treat it as an optional feature rather than
> striving for it to include a complete list of all "uninteresting"
> commits at all times.
> 
> Even if it were to include only a proportion of some of the latest
> "uninteresting" cleanups, that could already be of help.  When someone
> stumbles into a commit that gets in the way of their git blaming they
> could also consider adding it.

We already mark such commits with a leading semi-colon.  Will this
file simply repeat those commits?

> > And what should be done about it while merging from the release branch
> > to master?
> 
> I don't think anything in particular needs doing, since the sha-1 will
> stay the same after a merge.  Or am I missing something?

Not all of the commits get merged.  Some are skipped.